%define beta	b3
%define tarver	%{version}%{beta}cvs20040419
%define rel	%mkrel 3

%if %beta
%define release 0.%{beta}.%{rel}
%else
%define release %{rel}
%endif

%define major 1
%define libname %mklibname udftools %{major}
%define develname %mklibname -d udftools
%define sdevelname %mklibname -d -s udftools

Name:		udftools
Version:	1.0.0
Release:	%{release}
License:	GPLv2+
Group:		System/Kernel and hardware
Provides:	udf
Obsoletes:	udf
Autoreqprov:	off
Summary:	UDF filesystem tools
Source:		%{name}-%{tarver}.tar.xz
Source1:	pktcdvd.init.d
Source2:	pktcdvd.sysconfig
Source3:	pktcdvd.html
Source4:	pktcdvd-hint.txt
Patch2:		udftools-disable_broken.patch 
Patch3:		udftools-1.0.0b3cvs_add_cdmrw.patch
Patch4:		udftools-1.0.0b3-kernel-2.6.8.1.patch
Patch5:     udftools-1.0.0-gcc4.patch
Patch6:		udftools-open.patch
Patch7:		udftools-include.patch
Patch8:		udftools-1.0.0b3-automake-1.13.patch
URL:		http://sourceforge.net/projects/linux-udf/
Requires(post):	rpm-helper
Requires(preun):rpm-helper
Requires:	%{libname} = %version-%release
BuildRequires:	autoconf 
BuildRequires:	automake
BuildRequires:	readline-devel
BuildRequires:  ncurses-devel

%description -n udftools
These are tools for UDF file systems as used, e.g.,
on DVD-RAM, DVD+RW, CD-RW. They are also used for
managing Packet-CD/DVD devices and media.


%package -n %{libname}
Summary:	Libraries from %name
Group:		System/Libraries
Provides:	%{libname} = %version-%release
Provides:	libudftools = %version-%release

%description -n %{libname}
This package contains the libraries meeded by %name.


%package -n %{develname}
Summary:	Devel files from %name
Group:		Development/Libraries
Requires:	%{libname} = %version-%release
Provides:	libudftools-devel = %version-%release
Provides:	%name-devel = %version-%release
Provides:	%{libname}-devel = %version-%release
Obsoletes:	%mklibname -d udftools 1

%description -n %{develname}
This is the libraries, include files and other resources you can use
to incorporate %name into applications.

%package -n %sdevelname
Summary:	Static Library for developing applications with %name
Group:		Development/Libraries
Requires:	%develname = %version-%release
Provides:	udftools-static-devel = %version-%release
Obsoletes:	%mklibname -d -s udftools 1

%description -n %sdevelname
This contains the static library of %name needed for building apps that
link statically to %name.

%prep
%setup -q -n %{name}
#patch2 -p1
%patch3 -p1
%patch4 -p1 -b .kernel-2.6.8.1
%patch5 -p1 -b .gcc4
%patch6 -p0
%patch7 -p0
%patch8 -p1 -b .automake-1_13
perl -pi -e 's! udfct/Makefile! udfct/Makefile cdmrw/Makefile!' configure.in
perl -pi -e 's! udfct! udfct cdmrw!' Makefile.am

%build
export CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing --std=gnu89"
%define _disable_ld_no_undefined 1
autoreconf --force --install
%configure2_5x --enable-shared
%make

%install
rm -rf %buildroot
%makeinstall_std
ln -s %_bindir/mkudffs %buildroot/%_bindir/mkfs.udffs
ln -s %_bindir/udffsck %buildroot/%_bindir/fsck.udffs

install -d %buildroot/%_initrddir
install -d %buildroot/%_sysconfdir/sysconfig

install -m 755 %{SOURCE1} %buildroot/%_initrddir/pktcdvd
install -m 644 %{SOURCE2} %buildroot/%_sysconfdir/sysconfig/pktcdvd
cp %{SOURCE3} doc/pktcdvd.html
cp %{SOURCE4} doc/pktcdvd-hint.txt

#drop this
rm -rf %buildroot/%_libdir/*.la

%post
%_post_service pktcdvd

%preun
%_preun_service pktcdvd


%files
%doc ChangeLog AUTHORS doc/pktcdvd*
%{_bindir}/*
%attr (0755,root,root) %{_initrddir}/pktcdvd
%config (noreplace) %{_sysconfdir}/sysconfig/pktcdvd
%{_mandir}/man1/*.1*
%{_mandir}/man8/*.8*

%files -n %{libname}
%_libdir/*.so.%{major}
%_libdir/*.so.%{major}.*

%files -n %{develname}
%_libdir/*.so

%files -n %sdevelname
%{_libdir}/lib*.a



%changelog
* Fri Jul 08 2016 bb <bb> 0.0-0.b3-3.pclos2016
- rebuild for 2016

